No requests on Android device with version < 5.1


#1

Recently I released an Ionic app. The app is working well, but not on Android devices with a version lower then 5.1. I managed to get a hand on a Samsung s4 with a Android version of 4.4.2. I installed the apk file > the app loads and shows the splashscreen. It also shows the first page of the app (some images, inputs and buttons which are hard coded in the app), but for every action where a HTTP request is needed the app doesn’t do anything.

Any ideas?

My dependencies:

"@angular/common": "5.0.3",
"@angular/compiler": "5.0.3",
"@angular/compiler-cli": "5.0.3",
"@angular/core": "5.0.3",
"@angular/forms": "5.0.3",
"@angular/http": "5.0.3",
"@angular/platform-browser": "5.0.3",
"@angular/platform-browser-dynamic": "5.0.3",
"@ionic-native/app-center-crashes": "^4.7.0",
"@ionic-native/background-mode": "^4.7.0",
"@ionic-native/calendar": "^4.15.0",
"@ionic-native/call-number": "^4.6.0",
"@ionic-native/core": "4.4.0",
"@ionic-native/file": "^4.14.0",
"@ionic-native/in-app-browser": "^4.6.0",
"@ionic-native/keyboard": "^4.7.0",
"@ionic-native/splash-screen": "4.4.0",
"@ionic-native/status-bar": "^4.6.0",
"@ionic/pro": "^1.0.20",
"@ionic/storage": "^2.1.3",
"call-number": "^1.0.1",
"cordova-android": "7.0.0",
"cordova-ios": "4.5.5",
"cordova-plugin-appcenter-crashes": "^0.1.4",
"cordova-plugin-appcenter-shared": "^0.1.3",
"cordova-plugin-crosswalk-webview": "^2.4.0",
"cordova-plugin-device": "^2.0.2",
"cordova-plugin-file": "^6.0.1",
"cordova-plugin-inappbrowser": "^3.0.0",
"cordova-plugin-ionic": "^4.1.7",
"cordova-plugin-ionic-keyboard": "^2.1.2",
"cordova-plugin-ionic-webview": "^2.2.3",
"cordova-plugin-splashscreen": "^5.0.2",
"cordova-plugin-whitelist": "^1.3.3",
"cordova-sqlite-storage": "^2.4.0",
"font-awesome": "^4.7.0",
"intl": "^1.2.5",
"ionic-angular": "3.9.2",
"ionic-plugin-keyboard": "^2.2.1",
"ionic2-calendar": "^0.4.5",
"ionicons": "3.0.0",
"moment": "^2.22.2",
"rxjs": "5.5.2",
"sw-toolbox": "3.6.0",
"zone.js": "0.8.18"